import request from "@/scripts/httpRequest"

export const getAllTimeRule = (devId: string) => {
  return request({
    url: "/saas/api-s/cameraTimerule/findAll",
    method: "get",
    params: { devId: devId }
  })
}

export const deleteTimeRule = (query: any) => {
  return request({
    url: "/saas/api-s/cameraTimerule/delete",
    method: "delete",
    data: query
  })
}

export const saveTimeRule = (params: any) => {
  return request({
    url: "/saas/api-s/cameraTimerule/save",
    method: "post",
    data: params
  })
}
